<%#
  This template is i18n-ready: if you don't use i18n, then you can replace the pagy_t
  calls with the actual strings ("&lsaquo; Prev", "Next &rsaquo;", "&hellip;").

  The link variable is set to a proc that returns the link tag.
  Usage: link.call( page_number [, text [, extra_attributes_string ]])
-%>
<% link = pagy_link_proc(pagy) -%>
<%#                            -%><div aria-label="pager" class="pagy_nav" role="navigation">
<% if pagy.prev                -%>  <span class="btn-left arrow-left fa"><%== link.call(pagy.prev, '', 'class="fa-angle-left" aria-label="previous"') %></span>
<% else                        -%>  <span class="btn-left arrow-left fa fa-angle-left"></span>
<% end                         -%>
<% pagy.series.each do |item| # series example: [1, :gap, 7, 8, "9", 10, 11, :gap, 36] -%>
<%   if    item.is_a?(Integer) -%>  <span class="btn-left fa"><%== link.call(item) %></span>
<%   elsif item.is_a?(String)  -%>  <span class="btn-left fa"><%= item %></span>
<%   elsif item == :gap        -%>  <span class="page gap"><%== pagy_t('pagy.nav.gap') %></span>
<%   end                       -%>
<% end                         -%>
<% if pagy.next                -%>  <span class="btn-left arrow-right fa"><%== link.call(pagy.next, '', 'class="fa-angle-right" aria-label="next"') %></span>
<% else                        -%>  <span class="btn-left arrow-right fa fa-angle-right disabled"></span>
<% end                         -%>
<%#                            -%></div>
